Loading...
Searching...
No Matches
LCM.LCM.UDPMulticastProvider Class Reference

LCM provider for the udpm: URL. All messages are broadcast over a pre-arranged UDP multicast address. Subscription operations are a no-op, since all messages are always broadcast. More...

Inheritance diagram for LCM.LCM.UDPMulticastProvider:

## Public Member Functions

| UDPMulticastProvider (LCM lcm, URLParser up)
| UDP multicast provider constructor.
void | Publish (string channel, byte[] data, int offset, int length)
| Publish a message.
void | Subscribe (string channel)
| Subscribe to a channel.
void | Unsubscribe (String channel)
| Unsubscribe from a channel.
void | Close ()
| Call to close the provider.
Public Member Functions inherited from LCM.LCM.Provider
void | Unsubscribe (string channel)
| Unsubscribe() will be called when a channel subscription is cancelled.

## Properties

System.Net.IPAddress | InetAddr`[get]`
int | InetPort`[get]`

## Detailed Description

LCM provider for the udpm: URL. All messages are broadcast over a pre-arranged UDP multicast address. Subscription operations are a no-op, since all messages are always broadcast.

This mechanism is very simple, low-latency, and efficient due to not having to transmit messages more than once when there are multiple subscribers. Since it uses UDP, it is lossy.

## Constructor & Destructor Documentation

## UDPMulticastProvider()

LCM.LCM.UDPMulticastProvider.UDPMulticastProvider | ( | LCM | lcm,
|  | URLParser | up )

inline

UDP multicast provider constructor.

Parameters

  lcm | LCM object
  up | URL parser object

## Member Function Documentation

## Close()

void LCM.LCM.UDPMulticastProvider.Close | ( |  | ) |

inline

Call to close the provider.

Implements LCM.LCM.Provider.

## Publish()

void LCM.LCM.UDPMulticastProvider.Publish | ( | string | channel,
|  | byte[] | data,
|  | int | offset,
|  | int | length )

inline

Publish a message.

Parameters

  channel | channel name
  data | data byte array
  offset | offset of the data to write
  length | length of the data to write

Implements LCM.LCM.Provider.

## Subscribe()

void LCM.LCM.UDPMulticastProvider.Subscribe | ( | string | channel | ) |

inline

Subscribe to a channel.

Parameters

  channel | channel name

Implements LCM.LCM.Provider.

## Unsubscribe()

void LCM.LCM.UDPMulticastProvider.Unsubscribe | ( | String | channel | ) |

inline

Unsubscribe from a channel.

Parameters

  channel | channel name

The documentation for this class was generated from the following file:

- lcm/lcm/UDPMulticastProvider.cs